Package org.eclipse.net4j.util.properties

# Class Property<RECEIVER>

java.lang.Object
org.eclipse.net4j.util.properties.Property<RECEIVER>

Direct Known Subclasses:
  `Property.WithArguments`

public abstract class Property<RECEIVER> extends Object
Describes a property of a receiver object and extracts its value.

Since:
  3.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Property.WithArguments<RECEIVER>`
Describes a property of a receiver object and extracts its value with given arguments.

## Constructor Summary

Constructors
Constructor
Description
`Property(String name)`
`Property(String name, String label, String description)`
`Property(String name, String label, String description, String category)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract Object`
`eval(RECEIVER receiver)`
Returns the receiver's value for this property, either a `String` or a boxed primitive type.
`final String`
`getCategory()`
`final String`
`getDescription()`
`final String`
`getLabel()`
`final String`
`getName()`
`final Object`
`getValue(RECEIVER receiver)`
`boolean`
`testValue(RECEIVER receiver, Object[] args, Object expectedValue)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Property

public Property(String name, String label, String description, String category)

### Property

public Property(String name, String label, String description)

### Property

public Property(String name)

## Method Details

### getName

public final String getName()

### getLabel

public final String getLabel()

### getDescription

public final String getDescription()

### getCategory

public final String getCategory()

### getValue

public final Object getValue(RECEIVER receiver)

### testValue

public boolean testValue(RECEIVER receiver, Object[] args, Object expectedValue)

### eval

protected abstract Object eval(RECEIVER receiver)
Returns the receiver's value for this property, either a `String` or a boxed primitive type. Return values of all other types are converted with `toString()` in `eval(Object)`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`